/***************************************************************************
                          line.cpp  -  description
                             -------------------
    begin                : Mon Feb 21 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "line.h"

Line::Line(): GeoLine()
{
	ID = ID_line;
  identificator = "Line";

	startCoords.goBeyond = true;
	endCoords.goBeyond = true;

	int temp[] = { ID_geoPoint, 2, -1 };
	convertParams( temp, sizeof( temp ) / sizeof( temp[0] ) );
}

Line::~Line()
{
}

void Line::move()
{
	startCoords.coords = parents.first()->getCoordinates();
	endCoords.coords = parents.next()->getCoordinates();

	startCoords.printCoords = startCoords.coords;
	endCoords.printCoords = endCoords.coords;

	computeGoBeyond();
}
